function dominated = find_dominated(z1,z2)
%UNTITLED Selects non-dominated points in 2D
%   Hodnoty z1 a z2 nejsou matice, jsou to vektory funkčních hodnot J1 a J2
%   Dominance se zde počítá pro minimalizaci.
%   Pro maximalizaci je třeba obrátit znaménka z1 a z2 na vstupu.

    % Potřebujeme vědět, kolik jich je
    n = length(z1);
    % Výstupem je vektor pro boolovskou indexaci
    dominated = boolean(zeros(n,1));

    % Každý řádek z je jeden bod. Pokud nalezneme bod, jehož obě souřadnice
    % jsou větší, tento bod našemu bodu dominuje.
    z = [ z1, z2 ];
    
    for i=1:n
        base = z(i,:);  % Budeme vyšetřovat dominanci tohoto bodu
        for j=1:n
            % Nevyšetřujeme dominanci sebe sama
            if (i==j)
                continue;
            end
            test = z(j,:);
            if all(base>=test)  % Pokud všechny složky base jsou větší
                dominated(i) = true; 
                break;
            end
        end
    end
end

